# eslint-plugin-react-performance

To improve performance in react redux applications

## Installation

You'll first need to install [ESLint](http://eslint.org):

```
$ npm i eslint --save-dev
```

Next, install `eslint-plugin-react-performance`:

```
$ npm install eslint-plugin-react-performance --save-dev
```

**Note:** If you installed ESLint globally (using the `-g` flag) then you must also install `eslint-plugin-react-performance` globally.

## Usage

Add `react-performance` to the plugins section of your `.eslintrc` configuration file. You can omit the `eslint-plugin-` prefix:

```json
{
    "plugins": [
        "react-performance"
    ]
}
```


Then configure the rules you want to use under the rules section.

```json
{
    "rules": {
        "react-performance/rule-name": 2
    }
}
```

## Supported Rules

* Fill in provided rules here





